Subject: Re: [PATCH RFC 2/9] mm: page_reporting: skip redundant zeroing of host-zeroed reported pages

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 14 Apr 2026 11:36:25 -0400

On Tue, Apr 14, 2026 at 05:32:16PM +0200, David Hildenbrand (Arm) wrote:
> On 4/14/26 12:22, Michael S. Tsirkin wrote:
> > On Tue, Apr 14, 2026 at 11:18:02AM +0200, David Hildenbrand (Arm) wrote:
> >> On 4/13/26 22:35, Michael S. Tsirkin wrote:
> >>>
> >>>
> >>> So here's an only alternative I see: a page flag for when page is in
> >>> buddy and a new "prezero" bool that we have to propagate everywhere
> >>> else. This is a patch on top. More elegant? Please tell me if you prefer that.
> >>> If yes I will squash it into the appropriate patches.
> >>
> >> I'd be interesting to know how this would look without the GFP flag,
> >> when we don't have to leak any of this out of the buddy.
> >>
> >> -- 
> >> Cheers,
> >>
> >> David
> > 
> > But the zeroing takes place outside of the buddy now, it's more
> > "reporting" than "leaking".
> 
> Exposing some buddy internals using questionable GFP flags, however you
> want to call that hack ;)
> 
> > 
> > You mean, moving the zeroing into buddy?
> 
> Yes. Such that it doesn't really matter how we maintain this information
> internally. A page flag is probably still nicer for that purpose.

OK, sure. Let me just finish testing, and I will post.

-- 
MST